دانلود قالب وردپرس, دانلود قالب HTML, دانلود افزونه, آموزش

پایان پشتیبانی از اینترنت اکسپلورر 8،9 و 10 در وردپرس 4.8

0

پایان پشتیبانی از اینترنت اکسپلورر 8،9 و 10 در وردپرس 4.8

اخیرا از خبر جدیدی درباره نسخه جدید وردپرس اطلاع پیدا کردیم که گفتیم بد نیست آن را با شما هم در میان بگذاریم. این هفته، مت مولِنوِگ اعلام کرد که نسخه جدید وردپرس یعنی وردپرس 4.8 دیگر از اینترنت اکسپلورر نسخه 8، 9 و 10 پشتیبانی نخواهد کرد. طی ماه های گذشته، همکاران و توسعه دهندگان اصلی وردپرس درباره پشتیبانی از مرورگرها برای نیازهای فنی ویرایشگر جدید وردپرس، بحث های زیادی در این زمینه کرده بودند که نهایتا به تصمیم فعلی منجر شده است.

در ژانویه 2016، مایکروسافت پشتیبانی از اینترنت اکسپلورر 8، 9 و 10 را رسما قطع کرده بود. این مسئله به این معناست که این نسخه ها، دیگر آپدیت امنیتی جدیدی را از طرف مایکروسافت دریافت نخواهند کرد. مولنوگ در اینباره گفت که تلاش برای پشتیبانی از این مرورگرها چیزی است که باعث عدم پیشرفت توسعه ی وردپرس میشود.

وی در ادامه گفت که ما اطلاع داریم که هنوز برخی افراد از این مرورگها استفاده میکنند. برای بعضی از آنها ممکن است استفاده از این مرورگرها حکم اجبار را داشته باشد. مثلا کسانی که در کتابخانه ها از کامپیوتر استفاده میکنند، در این رابطه انتخاب دیگری ندارند. مولنوگ میگوید که بر اساس نوع جمع آوری اطلاعات، کاربران این مرورگرها، مجموعا بین 1 تا 3 درصد از کل کاربران را تشکیل میدهند. اما به هر حال این مقدار دیگر کمتر از چیزی است که ادامه تست و توسعه بر اساس آنها، برای وردپرس مفید باشد.

برای بدست آوردن اطلاعات دقیق تری از اینکه چه تعداد از کاربران هنوز از این مرورگرهای منسوخ استفاده میکنند، جاناتان دِسروسیِرز اطلاعاتی را از منابع مختلف جمع آوری کرده که این اطلاعات در واقع دقیقا با آنچه توسط سایت StatCounter منتشر شده بود، تطابق دارند. در زیر میتوانید آمار کاربرانی که از مرورگر اینترنت اکسپلورر 8 تا 11 استفاده میکنند را مشاهده کنید :

  • IE8: 0.41%
  • IE9: 0.26%
  • IE10: 0.26%
  • IE11: 3.79%

در مورد این خبر باید به این نکته توجه داشت که قطع پشتیبانی از این این ورژن ها برای وردپرس، به این معنا نیست که وردپرس دیگر روی این مرورگرها کار نخواهد کرد، بلکه این مسئله این معناست که بعد از انتشار نسخه 4.8 وردپرس، توسعه دهندگان و contributor های وردپرس، دیگر امکانات جدید سیستم را با این مرورگها نخواهند سنجید. بنابراین برخی از امکانات ناحیه مدیریت وردپرس در این مرورگها، ممکن است محدود باشد. در این رابطه، مولنوگ این نکته را تایید کرده که نسخه های بعدی ویرایشگر Tiny MCE از نسخه های قدیمی تر IE پشتیبانی نخواهند کرد.

آمار استفاده جهانی از IE از 7.44 درصد در مارچ 2016 به 4.18 درصد در مارچ 2017 تقلیل یافته. سهم این مرورگر با رشد استفاده از دیوایس های موبایل، روز به روز در حال کاهش است. اکتبر 2016 اولین ماهی در تاریخ اینترنت بود که ترافیک موبایل از ترافیک دسکتاپ در سراسر جهان پیشی گرفت. با در نظر گرفتن روند کاهش استفاده از کامپیوترهای دسکتاپ و روی آوردن کاربران به تبلت و موبایل، میتوان انتظار داشت که طی چند سال آینده، شاهد خاک سپاری کامل اینترنت اکسپلورر باشیم!

یکی دیگر از توسعه دهندگان وردپرس میگوید که استفاده از اینترنت اکسپلورر در مراکز دولتی نیز رو به کاهش است. وی میگوید که در بین مراکز دولتی نیز به سختی میتوان مرکزی را یافت که از ورژن های اینترنت اکسپلورر قبل از 11 استفاده کند. به همین ترتیب، ترافیکی که سایت های دولتی از مرورگرهای اینترنت اکسپلورر نسخه قبل از 11 دریافت میکنند نیز رو به کاهش بوده و تقریبا قابل نادیده گرفتن است.

تصمیم قطع پشتیبانی از مرورگر اینترنت اکسپلورر 8 و 9 و 10 در وردپرس در واقع به این علت انجام شده که زمان جامعه توسعه دهندگان این اسکریپت اپن سورس بهتر است صرف تست این اسکریپت، برای مرورگرهایی شود که زنده هستند و هنوز آپدیت های امنیتی دریافت میکنند. با این تصمیم وردپرس، از این پس، توسعه دهندگانی که برای مشتریان خود از وردپرس استفاده میکنند نیز میتوانند مشتریانشان را با این سیاست آشنا کرده و با ارجاع به این تصمیم، با فشار مشتریان برای تطابق سایت با مرورگرهایی مرده مواجه نشوند.

قطع پشتیبانی از نسخه های قدیمی اینترنت اکسپلورر، به شروع شدن بحث جدیدی در بین توسعه دهندگان وردپرس منجر شده است. بحث جدید در رابطه با قطع پشتیبانی از PHP 5.2 است. همانطور که میدانید بر اساس اطلاعات درج شده در سایت رسمی PHP، پی اچ پی 5.2 حدودا 6 سال است که به عنوان end of life معرفی شده. در مارچ 2015 کاربران این نسخه از PHP مجموعا 16.6 درصد از کل کاربران پی اچ پی را تشکیل میداند. این رقم در حال حاضر به شکل چشمگیری کاهش یافته و به 5.1 درصد رسیده است.

اما مسلما، توسعه دهندگان وردپرس هم میدانند که تغییر نسخه PHP تصمیمی نیست که به سادگی تغییر یا بروزرسانی یک مرورگر باشد. بسیاری از کاربران برای تغییر نسخه PHP خود، نیاز به همکاری پشتیبانی سرویس هاستینگشان دارند. همچینن باید این نکته را هم در نظر گرفت که هرچند 5.1 درصد مقدار زیادی به نظر نمیرسد ولی همین مقدار، نماینده میلیون ها کاربر است که هنوز نیاز دارند وردپرس از این نسخه از PHP پشتیبانی کند تا آنها بتوانند به استفاده از این سیستم ادامه دهند. بنابراین باید بنشینیم و ببینیم که تصمیم بعدی توسعه دهندگان وردپرس، در این رابطه چه خواهد بود …

دسترسی آسان به این مطلب لینک کوتاه :
QR Code For:  پایان پشتیبانی از اینترنت اکسپلورر 8،9 و 10 در وردپرس 4.8

شاید از اینها هم خوشتان بیاید!

ارسال پاسخ

آدرس ایمیل شما منتشر نخواهد شد.